Subject: Re: [Ietf-caldav] [Fwd: draft-reschke-http-addmember-00]

From: [email-masked]
Date: Wed, 23 Feb 2005 10:22:48 +0530

Hi,

I want to unsubscribe myself from this list as my mailbox is getting
flooded. Can you please remove my ID from the list?

email ID: [email-masked]

I sent an email to [email-masked] but got the message below from
them. Hence sending you this mail.

You have not been removed, I couldn't find your name on the list.

If this wasn't your intention or you are having problems getting yourself
unsubscribed, reply to this mail now (quoting it entirely (for diagnostic
purposes), and of course adding any comments you see fit).  Be sure to
include some indication of what you want the list owners to do, since they
are unlikely to be able to divine it from the message.

Transcript of unsubscription request follows:
--
>From [email-masked] Wed Feb 23 04:49:11 2005
>Received: from bart.w3.org ([128.30.52.40])
>            by frink.w3.org with esmtp (Exim 4.34)
>            id 1D3oSV-0000B9-AB
>            for [email-masked]; Wed, 23 Feb 2005 04:49:11
+0000
>Received: from gw-eur4.philips.com ([161.85.125.10])
>            by bart.w3.org with esmtp (Exim 4.34)
>            id 1D3oSU-0006NJ-T1
>            for [email-masked]; Wed, 23 Feb 2005 04:49:11 +0000
>Received: from smtpscan-eur5.philips.com (smtpscan-eur5.mail.philips.com
[130.144.57.168])
>            by gw-eur4.philips.com (Postfix) with ESMTP id 80A694970A
>            for <[email-masked]>; Wed, 23 Feb 2005 04:48:39 +0000
(UTC)
>Received: from smtpscan-eur5.philips.com (localhost [127.0.0.1])
>            by localhost.philips.com (Postfix) with ESMTP id 45D9A17C
>            for <[email-masked]>; Wed, 23 Feb 2005 04:48:39 +0000
(GMT)
>Received: from smtprelay-eur2.philips.com (smtprelay-eur2.philips.com
[130.144.57.171])
>            by smtpscan-eur5.philips.com (Postfix) with ESMTP id 1BDB8154
>            for <[email-masked]>; Wed, 23 Feb 2005 04:48:39 +0000
(GMT)
>Received: from ehvrmh02.diamond.philips.com
(ehvrmh02-srv.diamond.philips.com [130.139.27.125])
>            by smtprelay-eur2.philips.com (Postfix) with ESMTP id E7A863B
>            for <[email-masked]>; Wed, 23 Feb 2005 04:48:38 +0000
(GMT)
>Subject: unsubscribe
>To: [email-masked]
>X-Mailer: Lotus Notes Release 6.0.3 September 26, 2003
>Message-ID:
<[email-masked]>
>From: [email-masked]
>Date: Wed, 23 Feb 2005 10:17:18 +0530
>X-MIMETrack: Serialize by Router on ehvrmh02/H/SERVER/PHILIPS(Release 6.53
HF120 | November
> 19, 2004) at 23/02/2005 05:47:29
>MIME-Version: 1.0
>Content-type: text/plain; charset=US-ASCII
>Received-SPF: none (bart.w3.org: domain of [email-masked]
does not designate permitted sender hosts)
>unsubscribe

Kindly do the needful

Thanks & Regards
Nisha

             [email-masked]                                             
             rg                                                            
             Sent by:                                                   To 
             ietf-http-wg-requ         "Roy T. Fielding"                   
             [email-masked]                <[email-masked]>                 
                                                                        cc 
                                       HTTP Working Group                  
             2005-02-23 09:56          <[email-masked]>, CalDAV       
             AM                        DevList                             
                                       <[email-masked]>,    
                                       WebDAV WG <[email-masked]>    
                                                                   Subject 
                                       Re: [Ietf-caldav] [Fwd:             
                                       draft-reschke-http-addmember-00]    

                                                                           

On Tue, Feb 22, 2005 at 11:52:55AM -0800, Roy T. Fielding wrote:
> On Feb 22, 2005, at 5:37 AM, Mark Baker wrote:
> >Ah, so you're saying that ADDMEMBER isn't uniform?
>
> Actually, no, I was saying that ADDMEMBER as currently defined
> is identical to POST.  Julian said that it wasn't identical because
> his client would be able to expect one semantic, namely that a
> 201 result would cause the webdav collection to contain a new
> member with the given media type.  That implies an additional
> requirement that the target be a webdav collection, which isn't
> uniform at all.

I get the DAV-collection-implies-non-uniform thing, and would be
against a revision which attributed that meaning to a 201 response.
But I'm just not seeing how ADDMEMBER==POST, sorry.

I still don't see how POST vs. ADDMEMBER is any different than POST
vs. PUT.  You previously said that PUT has "set the state of this
resource" semantics which is clearly different than POST.  IMO,
ADDMEMBER's semantics are very similar to PUT.  What (constraint?) am
I missing that suggests PUT is fine while ADDMEMBER isn't?

Mark.
--
Mark Baker.   Ottawa, Ontario, CANADA.        http://www.markbaker.ca